<!DOCTYPE html>
<html>
    <head>
        <link rel='icon' href="/path/to/you/favicon" />
        <link rel="stylesheet" href="https://cdn.plyr.io/3.6.4/plyr.css" />
        <link href="https://fonts.googleapis.com/css2?family=Montserrat&display=swap" rel="stylesheet">
        <meta charset="UTF-8"/>
        <title><%=file%></title>
        <style>
            html {
                background-color : black;
                font-family: 'Montserrat';
                color : white;
            }
            body {
                display : flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                height : 98vh;
            }
            .plyr--audio {
                box-shadow: 0 0 0.4em 0.2em white;
                border-radius: 0.4em/0.4em;
                width : 40em;
                max-width : 95vw;
            }
            img {
                max-height:98vh;
                max-width :98vw;
            }
        </style>
    </head>
    <body>
        <script src="https://cdn.plyr.io/3.6.4/plyr.js"></script>
        <% if (fileType != null && fileType.replace(/video/g,'')!= fileType) { %>
        <video id="player"
        data-plyr-config='{ "title": "<%=name%>" }'
        class="video-js vjs-theme-forest"
        controls
        autoplay
        disableContextMenu='false'
        preload="auto"
        width="640"
        height="264"
        data-setup="{}"
      > playsinline controls>
            <source src="<%=directory%>" type="<%=fileType%>" />
          
            <!-- Captions are optional -->
          </video>
          <script>
            const controls = [
            'play-large',
            'play', // Play/pause playback
            'progress', // The progress bar and scrubber for playback and buffering
            'current-time', // The current time of playback
            'duration', // The full duration of the media
            'mute', // Toggle mute
            'volume', // Volume control
            'settings', // Settings menu
            'airplay', // Airplay (currently Safari only)
            'download', // Show a download button with a link to either the current source or a custom URL you specify in your options
            'fullscreen' // Toggle fullscreen
        ]
        const settings = ['captions', 'quality', 'speed', 'loop']
            // Change the second argument to your options:
            // https://github.com/sampotts/plyr/#options
            const player = new Plyr('video', {captions: {active: false}, controls, settings });

            // Expose player so it can be used from the console
            window.player = player;
          </script>
        <% } else if (fileType != null && fileType.replace(/audio/g,'')!= fileType) {  %>
            <h2><%=name%></h2><br />
            <audio id="player"
            data-plyr-config='{ "title": "<%=name%>" }'
            class="video-js vjs-theme-forest"
            controls
            disableContextMenu='false'
            preload="auto"
            data-setup="{}"
            autoplay
          > playsinline controls>
                <source src="<%=directory%>" type="<%=fileType%>" />
              
                <!-- Captions are optional -->
                </audio>
              <script>
                // Change the second argument to your options:
                // https://github.com/sampotts/plyr/#options
                const controls = [
                    'restart', // Restart playback
                    'rewind', // Rewind by the seek time (default 10 seconds)
                    'play', // Play/pause playback
                    'fast-forward', // Fast forward by the seek time (default 10 seconds)
                    'progress', // The progress bar and scrubber for playback and buffering
                    'current-time', // The current time of playback
                    'duration', // The full duration of the media
                    'mute', // Toggle mute
                    'volume', // Volume control
                    'settings', // Settings menu
                    'pip', // Picture-in-picture (currently Safari only)
                    'airplay', // Airplay (currently Safari only)
                    'download', // Show a download button with a link to either the current source or a custom URL you specify in your options
                    'fullscreen' // Toggle fullscreen
                ]
                const settings = ['captions', 'quality', 'speed', 'loop']
                const player = new Plyr('audio', {captions: {active: false}, controls, settings});
    
                // Expose player so it can be used from the console
                window.player = player;
              </script>
              <%} else if (fileType != null && fileType.replace(/image/g,'')!= fileType) {%>
                <img src='<%=directory%>' />
        <% } else {%>
            <h2>Your file is going to be ready soon.</h2>
            <script>
            window.location ='<%=directory%>'
            fileType = '<%=fileType%>'
            if (fileType != null && fileType.replace(/pdf/g,'')== fileType) {
                setTimeout(function () {window.close();},10000);
            }
        </script>
        <%}%>
    </body>
</html>
